%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pkgname texttable

Name:           python-%{pkgname}
Version:        0.8.1
Release:        1%{?dist}
Summary:        Python module to create simple ASCII tables
Group:          Development/Languages
License:        LGPL2
URL:            http://foutaise.org/code/
Source0:        https://pypi.python.org/packages/source/t/${pkgname}/%{pkgname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildArch:      noarch

%description
A python module to generate a formatted text table, using ASCII characters.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
#doc PKG-INFO LICENSE
%{python_sitelib}/*

%changelog
* Wed May 28 2014 Clint Savage <herlo1@gmail.com> - 0.8.1-1
- Initial package
